[arch-commits] CVS update of extra/modules/fglrx-beyond (3 files)

Travis Willard travis at archlinux.org
Mon Apr 23 23:14:11 EDT 2007


    Date: Monday, April 23, 2007 @ 23:14:11
  Author: travis
    Path: /home/cvs-extra/extra/modules/fglrx-beyond

   Added: firegl_public.patch (1.1)
Modified: PKGBUILD (1.3 -> 1.4) fglrx-beyond.install (1.3 -> 1.4)

upgpkg: fglrx-beyond 8.36.5-2
Fix bug with missing symbol.


----------------------+
 PKGBUILD             |   13 ++++++-------
 fglrx-beyond.install |    6 +++---
 firegl_public.patch  |   12 ++++++++++++
 3 files changed, 21 insertions(+), 10 deletions(-)


Index: extra/modules/fglrx-beyond/PKGBUILD
diff -u extra/modules/fglrx-beyond/PKGBUILD:1.3 extra/modules/fglrx-beyond/PKGBUILD:1.4
--- extra/modules/fglrx-beyond/PKGBUILD:1.3	Sun Apr 22 23:47:03 2007
+++ extra/modules/fglrx-beyond/PKGBUILD	Mon Apr 23 23:14:11 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.3 2007/04/23 03:47:03 travis Exp $
+# $Id: PKGBUILD,v 1.4 2007/04/24 03:14:11 travis Exp $
 # Maintainer: Travis Willard <travisw at wmpub.ca>
 # Contributor: amdviaman
 
@@ -15,8 +15,9 @@
 replaces=('ati-fglrx-beyond')
 options=('!strip') 
 install=$pkgname.install
-_kernver=2.6.20-beyond
-source=(http://www2.ati.com/drivers/linux/ati-driver-installer-$pkgver-x86.x86_64.run)
+_kernver=2.6.19-beyond
+# patch specifically needed for the beyond version
+source=(http://www2.ati.com/drivers/linux/ati-driver-installer-$pkgver-x86.x86_64.run firegl_public.patch)
 
 build() {
     cd $startdir/src
@@ -27,7 +28,6 @@
     chmod a+x ati-driver-installer-$pkgver-x86.x86_64.run
     ./ati-driver-installer-$pkgver-x86.x86_64.run --extract archive_files
 
-
     cp $startdir/src/archive_files/arch/${_arch}/* $startdir/src/ -r 
     cp $startdir/src/archive_files/common/* $startdir/src/ -r 
 
@@ -40,7 +40,7 @@
     cd $startdir/src/lib/modules/fglrx/build_mod/
 
     # Build the kernel module
-    # patch -Np0 -i $startdir/src/firegl_public.patch || return 1
+    patch -Np0 -i $startdir/src/firegl_public.patch || return 1
     cp 2.6.x/Makefile .
     make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" modules || return 1
 
@@ -52,5 +52,4 @@
 
 }
 
-md5sums=('bf056417ac6c57acdf5e5a6bb99a7dae')
-sha1sums=('c0edc17d1816ec7415d64d0cc85193060f61e080')
+md5sums=('bf056417ac6c57acdf5e5a6bb99a7dae' '512a3bc00ed5337d7102519206c6d442')
Index: extra/modules/fglrx-beyond/fglrx-beyond.install
diff -u extra/modules/fglrx-beyond/fglrx-beyond.install:1.3 extra/modules/fglrx-beyond/fglrx-beyond.install:1.4
--- extra/modules/fglrx-beyond/fglrx-beyond.install:1.3	Sun Apr 22 23:47:03 2007
+++ extra/modules/fglrx-beyond/fglrx-beyond.install	Mon Apr 23 23:14:11 2007
@@ -13,20 +13,20 @@
   echo "You can use the tool 'aticonfig' to generate an xorg.conf file."
   echo "Remember to add fglrx to the MODULES list in /etc/rc.conf."
   echo "--------------------------------------------------------------"
-  KERNEL_VERSION=2.6.20-beyond
+  KERNEL_VERSION=2.6.19-beyond
   depmod -a -v $KERNEL_VERSION > /dev/null 2>&1
 }
 
 # arg 1:  the new package version
 # arg 2:  the old package version
 post_upgrade() {
-  KERNEL_VERSION=2.6.20-beyond
+  KERNEL_VERSION=2.6.19-beyond
   depmod -a -v $KERNEL_VERSION > /dev/null 2>&1
 }
 
 # arg 1:  the old package version
 post_remove() {
-  KERNEL_VERSION=2.6.20-beyond
+  KERNEL_VERSION=2.6.19-beyond
   depmod -a -v $KERNEL_VERSION > /dev/null 2>&1
 }
 
Index: extra/modules/fglrx-beyond/firegl_public.patch
diff -u /dev/null extra/modules/fglrx-beyond/firegl_public.patch:1.1
--- /dev/null	Mon Apr 23 23:14:11 2007
+++ extra/modules/fglrx-beyond/firegl_public.patch	Mon Apr 23 23:14:11 2007
@@ -0,0 +1,12 @@
+--- firegl_public.c.old	2007-04-24 03:11:13.000000000 +0000
++++ firegl_public.c	2007-04-24 03:11:17.000000000 +0000
+@@ -156,9 +156,7 @@
+ 
+ #endif
+ 
+-#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,20)
+ #include "linux/freezer.h"
+-#endif
+ 
+ //  For 2.6.18 or higher, the UTS_RELEASE is defined in the linux/utsrelease.h. 
+ #ifndef UTS_RELEASE 




More information about the arch-commits mailing list